
"use strict";

(function($) {

    var methods = {

        init : function(options) {
            return this.each(function() {

                var $this = $(this);
                var data = Object();

                //parse widget record data
                var instanceDataInput = $this.find('#ipWidgetViewData');
                if (instanceDataInput){
                    data = $.parseJSON(instanceDataInput.val());
                    if (!data) {
                        data = Object();
                    }

                    if (!data.data) {
                        data.data = new Array(); //widgets don't need to worry if data variable is null or not. It is always an array
                    }
                }else {
                    data = new Array();
                    data.data = new Array();  //widgets don't need to worry if data variable is null or not. It is always an array
                }

                $this.data('ipWidgetView', data);

                instanceDataInput.remove();
            });
        },

        ready : function(){
            return this.each(function() {

                var $this = $(this);
                var data = $this.data('ipWidgetView');
                var view;

                if(typeof window['IpWidgetView_' + data.name] == "function"){
                    view = new window['IpWidgetView_' + data.name]();
                    view.ready($this, data);
                }
            });
        }

    };

    $.fn.ipWidgetView = function(method) {
        if (methods[method]) {
            return methods[method].apply(this, Array.prototype.slice.call(arguments, 1));
        } else if (typeof method === 'object' || !method) {
            return methods.init.apply(this, arguments);
        } else {
            $.error('Method ' + method + ' does not exist on jQuery.ipWidgetView');
        }

    };

    $('#contenedor').ipWidgetView();
    $('#contenedor').ipWidgetView('ready');

    $('.ipBlock').bind('reinitRequired.ipWidget', function(event) {
        $('#contenedor').ipWidgetView();
        $('#contenedor').ipWidgetView('ready');
    });

})(jQuery);