function setLanguageSpecificURL(languageTag){
    languageSpecificURL = "i18n/"+languageTag+"/strings.json";
}

function onNetworkCall(urlToHit, successCallback){
    $.ajax({
        url: urlToHit,
        timeout: 30000
    }).done(function(msg){
        successCallback(msg);
    }).fail(function(){
        Bugsense.notify( "Internal Server Error", {language: "bad fetching file language"} );

    });
}

//Fetch the value of a specific key inside the json file
function getLanguageValue(key) {
    value = languageSpecificObject.languageSettings[0][key];
    return value;
}

function onSuccessLanguage(language) {
    cLANGUAGE = language.value;
    languageControls(cLANGUAGE);
}

function onErrorLanguage(err) {
    Bugsense.notify( err , {reason: "language"} );
}

function languageControls(languageTag){
    if((languageTag.toString() == "en") || (languageTag.toString() == "english")
        || (languageTag.toString().indexOf("en") != -1)){
        setLanguageSpecificURL("en");
    }
    else if((languageTag.toString() == "de") || (languageTag.toString() == "deutsch")
        || (languageTag.toString() == "german") || (languageTag.toString().indexOf("de") != -1)){
        setLanguageSpecificURL("de");
    }
    else if((languageTag.toString() == "fr") || (languageTag.toString() == "franÃ§ais")
        || (languageTag.toString() == "french") || (languageTag.toString() == "francais")
        || (languageTag.toString().indexOf("fr") != -1)){
        setLanguageSpecificURL("fr");
    }
    else if((languageTag.toString() == "it") || (languageTag.toString() == "italiano")
        || (languageTag.toString() == "italian") || (languageTag.toString().indexOf("it") != -1)){
        setLanguageSpecificURL("it");
    }
    else if((languageTag.toString() == "pt") || (languageTag.toString() == "portuguÃªs")
        || (languageTag.toString() == "portuguese") || (languageTag.toString() == "portugues")
        || (languageTag.toString().indexOf("pt") != -1)){
        setLanguageSpecificURL("pt");
    }
    else
    //by default, Spanish
        setLanguageSpecificURL("es");

    //ajax call for fetching strings.json files
    onNetworkCall(languageSpecificURL, function(msg){
        languageSpecificObject = JSON.parse(msg);
        renderDOMElements();
    });
}

function renderDOMElements(){

    spinnerText = getLanguageValue("spinner");
    credits = getLanguageValue("credits");
    initConnection = getLanguageValue("initConnection");
    noConnection = getLanguageValue("noConnection");
    okmsg = getLanguageValue("okmsg");
    closemsg = getLanguageValue("closemsg");
    lineCollapsible = getLanguageValue("lineCollapsible")
    itinerarioCollapsible = getLanguageValue("itinerarioCollapsible");
    paradaCollapsible = getLanguageValue("paradaCollapsible");
    tryagain = getLanguageValue("tryagain");
    errorConnection = getLanguageValue("errorConnection");
    lastQuery = getLanguageValue("lastQuery");
    errorServer = getLanguageValue("errorServer");
    invalidContent = getLanguageValue("invalidContent");
    document.getElementById('dialogHeader').innerHTML= ''+getLanguageValue("welcome");
    document.getElementById('dialogContent').innerHTML= ''+getLanguageValue("info-dialog");
    document.getElementById('lines-button').innerHTML= ''+getLanguageValue("linesButton");
    document.getElementById('lineaHeader').innerHTML= lineCollapsible;
    document.getElementById('lineHeading').innerHTML= ''+getLanguageValue("lineHeading");
    document.getElementById('itinerarioHeader').innerHTML= itinerarioCollapsible;
    document.getElementById('itinerarioHeading').innerHTML= ''+getLanguageValue("itinerarioHeading");
    document.getElementById('paradaHeader').innerHTML= paradaCollapsible;
    document.getElementById('paradaHeading').innerHTML= ''+getLanguageValue("paradaHeading");
    document.getElementById('postButton').innerHTML= ''+getLanguageValue("searchButton");
    document.getElementById('tableLine').innerHTML= ''+getLanguageValue("tableLine");
    document.getElementById('tableTime').innerHTML= ''+getLanguageValue("tableTime");
    document.getElementById('tableAdapted').innerHTML= ''+getLanguageValue("tableAdapted");
    document.getElementById('lineDescription').innerHTML= ''+getLanguageValue("lineDescription");
    document.getElementById('backButton').innerHTML= ''+getLanguageValue("backButton");
    document.getElementById('infoMap').innerHTML= ''+getLanguageValue("infoMap");

    renderNameEvents();
}

function renderNameEvents(){
    $('.authors').on('click', function(){
        navigator.notification.alert(credits, function(){}, 'bus-real', closemsg);
    });
}