//var ciudadRealLatlng = new google.maps.LatLng(38.9848295, -3.927377799999931);//ios
var ciudadRealLatlng = new google.maps.LatLng(38.991100645814264, -3.9399519958617475);//android

var noPOILabels = [
    {
        featureType: "poi",
        elementType: "labels",
        stylers: [{visibility: "off"}]
    }
];

var noPOIMaptype = new google.maps.StyledMapType(noPOILabels, {name: "NO POI"});

var ciudadRealOptions = {
    //zoom: 13,//ios
    zoom: 14,//android
    center: ciudadRealLatlng,
    disableDefaultUI: true,
    mapTypeControlOptions: {
        mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'no_poi']
    }
};

var symbolOne = {
    path: google.maps.SymbolPath.FORWARD_OPEN_ARROW,
    strokeColor: '#000',
    fillColor: '#000',
    fillOpacity: 1,
    strokeWeight: 2
};

var symbolThree = {
    path: google.maps.SymbolPath.FORWARD_CLOSED_ARROW,
    strokeColor: '#000',
    fillColor: '#000',
    fillOpacity: 1,
    strokeWeight: 2
};

var map = new google.maps.Map( document.getElementById( "map_canvas" ), ciudadRealOptions );

var busmarker = "busmarker.png";

function initializeMaps() {

    map.mapTypes.set('no_poi', noPOIMaptype);
    map.setMapTypeId('no_poi');

}

function generateTrace(points, trace){
    var n = points.length;
    for(var i=0; i<n; i++){
        trace.push(new google.maps.LatLng(points[i].x, points[i].y));
    }
}

function generateMarkers(markers){
    var n = markers.length;
    for(var i=0; i<n; i++){
        var marker = new google.maps.Marker(
            {position: {lat: markers[i].x, lng: markers[i].y}, map: map, icon: busmarker});
        addTooltip(marker, markers[i].station);
    }
}

function addTooltip(marcador, nombre){
    google.maps.event.addListener(marcador, 'click', function() {
        new google.maps.InfoWindow({ content:nombre}).open(map,this);
    });
}

function generatePolyline(line, color){

    var polyline = new google.maps.Polyline({
        path: line,
        icons: [{
            icon: symbolOne,
            offset: '0%'
        },{
            icon: symbolThree,
            offset: '100%'
        }
        ],
        geodesic: true,
        strokeColor: color,
        strokeOpacity: 1.0,
        strokeWeight: 2
    });

    polyline.setMap(map);

}

initializeMaps();